%define oname	rdesktop
%define name	rdesktop-legacy
%define version 1.7.1
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        X client for remote desktop into Windows Terminal Server
Group:          Networking/Remote access
License:        GPLv2+
URL:            http://www.rdesktop.org/
Source0:        http://downloads.sourceforge.net/rdesktop/%{oname}-%{version}.tar.xz
Patch0:         rdesktop-1.7.1-fix-format-errors.patch
Conflicts:	rdesktop


%description
rdesktop is an open source client for Windows NT Terminal Server and Windows
2000 Terminal Services, capable of natively speaking Remote Desktop Protocol
(RDP) in order to present the user's NT desktop. Unlike Citrix ICA, no server
extensions are required.  

rdesktop currently runs on most UNIX based platforms with the X Window System,
and other ports should be fairly straightforward.

This version is compatible with Virtualbox.


%prep
%setup -qn %oname-%{version}
%patch0 -p1 -b .format

# lib64 fix
perl -pi -e "s|\/lib\"|\/%{_lib}\"|g" configure*
perl -pi -e "s|\/lib\ |\/%{_lib}\ |g" configure*

%build
export STRIP="/bin/true"

%configure2_5x \
    --with-openssl=%{_prefix} \
    --with-sound=libao \
    --with-ipv6 \
    --enable-smartcard
%make

chmod 644 doc/*

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc README doc/{AUTHORS,ChangeLog,HACKING,TODO,*.txt}
%{_bindir}/rdesktop
%{_datadir}/rdesktop/
%{_mandir}/man1/*


%changelog
* Sat Feb 22 2014 bb <bb> 1.7.1-1pclos2014
- import legacy version that works with virtualbox
